import { useWindowDimensions } from 'react-native';
import Svg, { Polyline } from 'react-native-svg';
import React from 'react';

const Canvas = ({
  path,
  colorLine,
  widthLine,
  fillColorCanvas
}) => {
  const {
    width,
    height
  } = useWindowDimensions();
  return /*#__PURE__*/React.createElement(Svg, {
    height: "100%",
    width: "100%",
    viewBox: `0 0 ${width} ${height}`
  }, /*#__PURE__*/React.createElement(Polyline, {
    fill: fillColorCanvas,
    stroke: colorLine,
    points: path,
    strokeWidth: widthLine
  }));
};

export default Canvas;
//# sourceMappingURL=canvas.js.map